
QGIS Application - Bug report #16256

Diagrams don't render if all values are negative

2017-03-01 03:44 AM - Daniel Moreira

Status: Open

Priority: Normal

Assignee:

Category: Diagrams

Affected QGIS version:3.0.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24166

Description

Left click on layer -> Properties -> Diagrams -> Attributes. If all columns on the 'Attribute' list are negative it fails to render the resulting

graphic.

History

#1 - 2017-03-01 04:31 AM - Giovanni Manghi

- Target version deleted (Future Release - Lower Priority)

- Category set to Diagrams

#2 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#3 - 2018-02-27 10:57 PM - Nino Formica

Tested on 2.18.16 and 3.0.0 versions (Ubuntu 16): both still have this problem.

#4 - 2018-02-27 11:13 PM - Giovanni Manghi

- Affected QGIS version changed from 2.18.3 to 3.0.0
